Bug 139747 - Unable to adjust PCM input: Static on VIA AC97
Unable to adjust PCM input: Static on VIA AC97
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 15:40 EST by Philip A. Chapman
Modified: 2015-01-04 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip A. Chapman 2004-11-17 15:40:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have a laptop which has a VIA Tech sound chip.  The Chip is
identified as "VT8233/A/8235/8237 AC Audio Controller" in
/etc/sysconfig/hwconfig. The snd-via82xx module is being used for this
chip.

When I play .ogg files through winamp, rythmbox, or ogg123, I get
sound that is low volume and has a lot of static.  I get the same
results when I use playwave to play a .wav file.  I believe this issue
is caused by not having a volume control for the "PCM" input.  I have
used the gnome volume control panel, kmix, alsamixer, and aumix, but
cannot control the volume to PCM, only mute it.  I have come to this
conclusion after playing DVDs.  I had the exact same issue with DVD
audio until I located the second "VIA DXS" slider (there are a total
of 4 sliders with this label) and increased it considerably (A little
over half way).  I might mention that on FC1, and FC2, I did not have
this issue.  On none of the 3 FC releases have the "Master" volume
control worked.  I typically set the input control fairly high, then
use the volume control wheel on the front of my laptop to adjust the
volume to my headphones (or crappy built in speakers).  I do not know
whether the master volume control works on Windows as I do not use
this laptop for windows.  I've always assumed that the chip does not
support it because of the manual volumn control wheel.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.6-3  kernel-2.6.9.1.667

How reproducible:
Always

Steps to Reproduce:
1.  Install Fedora Core 3 - 32 bit on Mitac 8335 laptop (maybe others)
2.  Try to adjust the PCM volume control (you can't)
3.  Try playing an ogg file with either xmms, rythmbox, or ogg123; or
try playing a wave file with playwave.
    

Actual Results:  Low volume sound with lots of static.

Expected Results:  Normal volume sound with no static.

Additional info:

This is a Mitac Model 8335 notebook.  This notebook has an AMD 64 bit
processor, but it has the 32 bit version of Fedora Core 3 installed
and is using only 32 bit software.

Various vendors of this notebook include:

PowerPro M 5:6 (http://www.powernotebooks.com/specs/PowerPro/m5-6.php)
GamePC GPN-CEN4
(http://www.gamepc.com/shop/systemfamily.asp?family=noteb7)
Voodoo PC Envy m:860 (http://voodoopc.com/systems/m860.aspx)
iBUYPOWER Battalion 101 CL-Series
(http://www.ibuypower.com/ibp.net/store/configurator.aspx?mid=87)
Falcon Northwest FragBook TL (http://www.falcon-nw.com/fragbook2.asp)
Comment 1 Dave Jones 2005-07-15 15:51:57 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:33:56 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.